Subject: bug#6424: closed (Re: bug#6422: [describe-char PATCH 1/2] describe-char: add missing space in Unicode "Decomposition" line)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 19 Jun 2010 02:33:02 +0000

Your bug report

#6422: [describe-char PATCH 0/2] Minor output beautifications

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
6422: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=6422
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#6422: [describe-char PATCH 1/2] describe-char: add missing space in Unicode "Decomposition" line
From: Glenn Morris <[email-masked]>
To: [email-masked]
Date: Fri, 18 Jun 2010 22:32:52 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

Gustav Hållberg wrote:

> If there is an "info" field, make sure to add a space after it.

I believe the minimum version of this change is just

--- lisp/descr-text.el	2010-06-03 15:34:35 +0000
+++ lisp/descr-text.el	2010-06-18 19:48:07 +0000
@@ -301,7 +301,7 @@
 				   (lambda (arg)
 				     (string (string-to-number arg 16)))
 				   parts " "))
-		      (concat info parts))))
+		      (concat info (if info " ") parts))))
 	       (list "Decimal digit value"
 		     (nth 5 fields))
 	       (list "Digit value"

so that's what I installed.

I would have found an example very helpful, eg

emacs -Q --eval \
  '(setq describe-char-unicodedata-file "admin/unidata/UnicodeData.txt")'

M-x ucs-insert RET 0132 RET
C-u C-x =

Subject: [describe-char PATCH 0/2] Minor output beautifications
From: Gustav Hållberg <[email-masked]>
To: [email-masked]
Date: Mon, 14 Jun 2010 14:23:34 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

These two patches repair minor whitespace errors in describe-char
(C-u C-x =) when describe-char-unicodedata-file has been set.

The patches are against Emacs 23.2.

- Gustav

---

Gustav Hållberg (2):
      describe-char: add missing space in Unicode "Decomposition" line
      describe-char: remove superfluous space at end of "Unicode data" line

 lisp/descr-text.el |   33 +++++++++++++++++----------------
 1 files changed, 17 insertions(+), 16 deletions(-)

--